FROM ruby:2.4.1
MAINTAINER LAPPIS Development Team <webmaster.fga@gmail.com>

LABEL Description="This dockerfile builds a development environment."

ENV RAILS_ENV development
RUN apt-get update -qq && apt-get install -y sudo postgresql-client build-essential libpq-dev nodejs vim

RUN mkdir /microDebConf
WORKDIR /microDebConf
COPY Gemfile /microDebConf/Gemfile
COPY Gemfile.lock /microDebConf/Gemfile.lock

RUN gem install bundler
RUN bundle install

ADD . /microDebConf
